<div class="alert alert-warning" role="alert" *ngFor="let item of items">
    id: {{ item.id }} <br> nombre: {{ item.name }} <br> edad: {{ item.edad }}
    <button class="btn btn-warning float-right mx-3" (click)="editar(item)" data-toggle="modal" data-target="#editar">
        editar
    </button>
    <button class="btn btn-danger float-right" (click)="eliminar(item)">
        eliminar
    </button>
</div>
<button class="btn btn-warning float-right mx-3" data-toggle="modal" data-target="#crear">
    Agregar
</button>

<!-- Modal -->
<div class="modal fade" id="crear" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Crear</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <form (ngSubmit)="agregar()">
                    <input
                        type="text" placeholder="Ingresa tu nombre"
                        name="name" class="form-control"
                        [(ngModel)]="item.name"
                    >
                    <input
                        type="text" placeholder="Ingresa tu edad"
                        name="edad" class="form-control"
                        [(ngModel)]="item.edad"
                    >
                    <button class="btn btn-warning mt-3" type="submit">Agregar</button>
                </form>
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="editar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Editar</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <form (ngSubmit)="agregarItemEditado()">
                    <input
                        type="text" placeholder="editar tu nombre"
                        name="name" class="form-control"
                        [(ngModel)]="editarItem.name"
                    >
                    <input
                        type="text" placeholder="Ingresa tu edad"
                        name="edad" class="form-control"
                        [(ngModel)]="editarItem.edad"
                    >
                    <button type="submit" class="btn btn-primary mt-3">Editar</button>
                </form>
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
